// This file is automatically generated by sila2lib.proto_builder.proto_builder version 0.2.0
// :generation date: 2020-04-16 12:19:12
//
// ---- PLEASE DO NOT MODIFY MANUALLY !! ---

syntax = "proto3";
import "SiLAFramework.proto";
package sila2.org.silastandard.examples.gassingservicer.v1;

// Feature: Gassing Servicer
//   
//           Control a DASGIP gassing module. Enables read and write operations for various parameters.
//           By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019
//   
service GassingServicer {
    // Get PV
    //   Get present value. Gassing total flow process value.
    rpc GetPV(sila2.org.silastandard.examples.gassingservicer.v1.GetPV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetPV_Responses) {}
    // Get SP
    //   Get setpoint value. Gassing total flow setpoint.
    rpc GetSP(sila2.org.silastandard.examples.gassingservicer.v1.GetSP_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetSP_Responses) {}
    // Get F PV
    //   Get present value. Gassing total flow process value.
    rpc GetFPV(sila2.org.silastandard.examples.gassingservicer.v1.GetFPV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFPV_Responses) {}
    // Get V PV
    //   Get present value. Gassing total volume process value.
    rpc GetVPV(sila2.org.silastandard.examples.gassingservicer.v1.GetVPV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetVPV_Responses) {}
    // Get Flow SP
    //   Get gassing total flow setpoint.
    rpc GetFSP(sila2.org.silastandard.examples.gassingservicer.v1.GetFSP_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFSP_Responses) {}
    // Set Flow SPM
    //   
    //           Set gassing total flow setpoint manual.
    //   
    rpc SetFSPM(sila2.org.silastandard.examples.gassingservicer.v1.SetFSPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFSPM_Responses) {}
    // Get Flow SP Manual
    //   Get gassing total flow manual setpoint.
    rpc GetFSPM(sila2.org.silastandard.examples.gassingservicer.v1.GetFSPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFSPM_Responses) {}
    // Set Flow SPE
    //   
    //           Set gassing total flow setpoint external.
    //   
    rpc SetFSPE(sila2.org.silastandard.examples.gassingservicer.v1.SetFSPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFSPE_Responses) {}
    // Get Flow SP External
    //   Get gassing total flow external setpoint.
    rpc GetFSPE(sila2.org.silastandard.examples.gassingservicer.v1.GetFSPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFSPE_Responses) {}
    // Get Flow SP Automatic
    //   Get gassing total flow automatic setpoint.
    rpc GetFSPA(sila2.org.silastandard.examples.gassingservicer.v1.GetFSPA_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFSPA_Responses) {}
    // Get Flow SP Remote
    //   Get gassing total flow remote setpoint.
    rpc GetFSPR(sila2.org.silastandard.examples.gassingservicer.v1.GetFSPR_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFSPR_Responses) {}
    // Get Flow SP Local
    //   Get gassing total flow local setpoint.
    rpc GetFSPL(sila2.org.silastandard.examples.gassingservicer.v1.GetFSPL_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFSPL_Responses) {}
    // Set Flow Mode
    //   
    //           Set gas total flow operation mode. Controller mode (Manual, Automatic).
    //   
    rpc SetFMode(sila2.org.silastandard.examples.gassingservicer.v1.SetFMode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFMode_Responses) {}
    // Get Flow Mode
    //   Get gas total flow operation mode. Controller mode (Manual, Automatic).
    rpc GetFMode(sila2.org.silastandard.examples.gassingservicer.v1.GetFMode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFMode_Responses) {}
    // Set Flow SetpointSelect
    //   
    //           Set gas total flow setpoint selection (Local, Manual, Internal, Script, External).
    //   
    rpc SetFSetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.SetFSetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFSetpointSelect_Responses) {}
    // Get Flow SetpointSelect
    //   Get gas total flow setpoint selection (Local, Manual, Internal, Script, External).
    rpc GetFSetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.GetFSetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFSetpointSelect_Responses) {}
    // Get XCO2 PV
    //   Get present value. Gassing XCO2 concentration process value.
    rpc GetXCO2PV(sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2PV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2PV_Responses) {}
    // Get XCO2 SP
    //   Get gassing XCO2 concentration setpoint.
    rpc GetXCO2SP(sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SP_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SP_Responses) {}
    // Set XCO2 SPM
    //   
    //           Set gassing XCO2 concentration setpoint manual.
    //   
    rpc SetXCO2SPM(sila2.org.silastandard.examples.gassingservicer.v1.SetXCO2SPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetXCO2SPM_Responses) {}
    // Get XCO2 SP Manual
    //   Get gassing XCO2 concentration manual setpoint.
    rpc GetXCO2SPM(sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SPM_Responses) {}
    // Set XCO2 SPE
    //   
    //           Set gassing XCO2 concentration setpoint external.
    //   
    rpc SetXCO2SPE(sila2.org.silastandard.examples.gassingservicer.v1.SetXCO2SPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetXCO2SPE_Responses) {}
    // Get XCO2 SP External
    //   Get gassing XCO2 concentration external setpoint.
    rpc GetXCO2SPE(sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SPE_Responses) {}
    // Get XCO2 SP Automatic
    //   Get gassing XCO2 concentration automatic setpoint.
    rpc GetXCO2SPA(sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SPA_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SPA_Responses) {}
    // Get XCO2 SP Remote
    //   Get gassing XCO2 concentration remote setpoint.
    rpc GetXCO2SPR(sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SPR_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SPR_Responses) {}
    // Get XCO2 SP Local
    //   Get gassing XCO2 concentration local setpoint.
    rpc GetXCO2SPL(sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SPL_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SPL_Responses) {}
    // Set XCO2 Mode
    //   
    //           Set gas XCO2 concentration operation mode. Controller mode (Manual, Automatic).
    //   
    rpc SetXCO2Mode(sila2.org.silastandard.examples.gassingservicer.v1.SetXCO2Mode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetXCO2Mode_Responses) {}
    // Get XCO2 Mode
    //   Get gas XCO2 concentration operation mode. Controller mode (Manual, Automatic).
    rpc GetXCO2Mode(sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2Mode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2Mode_Responses) {}
    // Set XCO2 SetpointSelect
    //   
    //           Set gas XCO2 concentration setpoint selection (Local, Manual, Internal, Script, External).
    //   
    rpc SetXCO2SetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.SetXCO2SetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetXCO2SetpointSelect_Responses) {}
    // Get XCO2 SetpointSelect
    //   Get gas XCO2 concentration setpoint selection (Local, Manual, Internal, Script, External).
    rpc GetXCO2SetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXCO2SetpointSelect_Responses) {}
    // Get XO2 PV
    //   Get present value. Gassing XO2 concentration process value.
    rpc GetXO2PV(sila2.org.silastandard.examples.gassingservicer.v1.GetXO2PV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXO2PV_Responses) {}
    // Get XO2 SP
    //   Get gassing XO2 concentration setpoint.
    rpc GetXO2SP(sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SP_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SP_Responses) {}
    // Set XO2 SPM
    //   
    //           Set gassing XO2 concentration setpoint manual.
    //   
    rpc SetXO2SPM(sila2.org.silastandard.examples.gassingservicer.v1.SetXO2SPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetXO2SPM_Responses) {}
    // Get XO2 SP Manual
    //   Get gassing XO2 concentration manual setpoint.
    rpc GetXO2SPM(sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SPM_Responses) {}
    // Set XO2 SPE
    //   
    //           Set gassing XO2 concentration setpoint external.
    //   
    rpc SetXO2SPE(sila2.org.silastandard.examples.gassingservicer.v1.SetXO2SPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetXO2SPE_Responses) {}
    // Get XO2 SP External
    //   Get gassing XO2 concentration external setpoint.
    rpc GetXO2SPE(sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SPE_Responses) {}
    // Get XO2 SP Automatic
    //   Get gassing XO2 concentration automatic setpoint.
    rpc GetXO2SPA(sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SPA_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SPA_Responses) {}
    // Get XO2 SP Remote
    //   Get gassing XO2 concentration remote setpoint.
    rpc GetXO2SPR(sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SPR_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SPR_Responses) {}
    // Get XO2 SP Local
    //   Get gassing XO2 concentration local setpoint.
    rpc GetXO2SPL(sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SPL_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SPL_Responses) {}
    // Set XO2 Mode
    //   
    //           Set gas XO2 concentration operation mode. Controller mode (Manual, Automatic).
    //   
    rpc SetXO2Mode(sila2.org.silastandard.examples.gassingservicer.v1.SetXO2Mode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetXO2Mode_Responses) {}
    // Get XO2 Mode
    //   Get gas XO2 concentration operation mode. Controller mode (Manual, Automatic).
    rpc GetXO2Mode(sila2.org.silastandard.examples.gassingservicer.v1.GetXO2Mode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXO2Mode_Responses) {}
    // Set XO2 SetpointSelect
    //   
    //           Set gas XO2 concentration setpoint selection (Local, Manual, Internal, Script, External).
    //   
    rpc SetXO2SetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.SetXO2SetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetXO2SetpointSelect_Responses) {}
    // Get XO2 SetpointSelect
    //   Get gas XO2 concentration setpoint selection (Local, Manual, Internal, Script, External).
    rpc GetXO2SetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetXO2SetpointSelect_Responses) {}
    // Get FAir PV
    //   Get present value. Gassing air flow process value.
    rpc GetFAirPV(sila2.org.silastandard.examples.gassingservicer.v1.GetFAirPV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFAirPV_Responses) {}
    // Get V Air PV
    //   Get present value. Gassing air flow volume value.
    rpc GetVAirPV(sila2.org.silastandard.examples.gassingservicer.v1.GetVAirPV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetVAirPV_Responses) {}
    // Get FAir SP
    //   Get gassing air flow setpoint.
    rpc GetFAirSP(sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSP_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSP_Responses) {}
    // Set FAir SPM
    //   
    //           Set gassing air flow setpoint manual.
    //   
    rpc SetFAirSPM(sila2.org.silastandard.examples.gassingservicer.v1.SetFAirSPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFAirSPM_Responses) {}
    // Get FAir SP Manual
    //   Get gassing air flow manual setpoint.
    rpc GetFAirSPM(sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSPM_Responses) {}
    // Set FAir SPE
    //   
    //           Set gassing air flow setpoint external.
    //   
    rpc SetFAirSPE(sila2.org.silastandard.examples.gassingservicer.v1.SetFAirSPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFAirSPE_Responses) {}
    // Get FAir SP External
    //   Get gassing air flow external setpoint.
    rpc GetFAirSPE(sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSPE_Responses) {}
    // Get FAir SP Automatic
    //   Get gassing air flow automatic setpoint.
    rpc GetFAirSPA(sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSPA_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSPA_Responses) {}
    // Get FAir SP Remote
    //   Get gassing air flow remote setpoint.
    rpc GetFAirSPR(sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSPR_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSPR_Responses) {}
    // Set FAir Mode
    //   
    //           Set gas air flow operation mode. Controller mode (Manual, Automatic).
    //   
    rpc SetFAirMode(sila2.org.silastandard.examples.gassingservicer.v1.SetFAirMode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFAirMode_Responses) {}
    // Get FAir Mode
    //   Get gas air flow operation mode. Controller mode (Manual, Automatic).
    rpc GetFAirMode(sila2.org.silastandard.examples.gassingservicer.v1.GetFAirMode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFAirMode_Responses) {}
    // Set FAir SetpointSelect
    //   
    //           Set gas air flow setpoint selection (Local, Manual, Internal, Script, External).
    //   
    rpc SetFAirSetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.SetFAirSetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFAirSetpointSelect_Responses) {}
    // Get FAir SetpointSelect
    //   Get gas air flow setpoint selection (Local, Manual, Internal, Script, External).
    rpc GetFAirSetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFAirSetpointSelect_Responses) {}
    // Get FO2 PV
    //   Get present value. Gassing O2 flow process value.
    rpc GetFO2PV(sila2.org.silastandard.examples.gassingservicer.v1.GetFO2PV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFO2PV_Responses) {}
    // Get V O2 PV
    //   Get present value. Gassing O2 volume process value.
    rpc GetVO2PV(sila2.org.silastandard.examples.gassingservicer.v1.GetVO2PV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetVO2PV_Responses) {}
    // Get FO2 SP
    //   Get gassing O2 flow setpoint.
    rpc GetFO2SP(sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SP_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SP_Responses) {}
    // Set FO2 SPM
    //   
    //           Set gassing O2 flow setpoint manual.
    //   
    rpc SetFO2SPM(sila2.org.silastandard.examples.gassingservicer.v1.SetFO2SPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFO2SPM_Responses) {}
    // Get FO2 SP Manual
    //   Get gassing O2 flow manual setpoint.
    rpc GetFO2SPM(sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SPM_Responses) {}
    // Set FO2 SPE
    //   
    //           Set gassing O2 flow setpoint external.
    //   
    rpc SetFO2SPE(sila2.org.silastandard.examples.gassingservicer.v1.SetFO2SPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFO2SPE_Responses) {}
    // Get FO2 SP External
    //   Get gassing O2 flow external setpoint.
    rpc GetFO2SPE(sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SPE_Responses) {}
    // Get FO2 SP Automatic
    //   Get gassing O2 flow automatic setpoint.
    rpc GetFO2SPA(sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SPA_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SPA_Responses) {}
    // Get FO2 SP Remote
    //   Get gassing O2 flow remote setpoint.
    rpc GetFO2SPR(sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SPR_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SPR_Responses) {}
    // Set FO2 Mode
    //   
    //           Set gas O2 flow operation mode. Controller mode (Manual, Automatic).
    //   
    rpc SetFO2Mode(sila2.org.silastandard.examples.gassingservicer.v1.SetFO2Mode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFO2Mode_Responses) {}
    // Get FO2 Mode
    //   Get gas O2 flow operation mode. Controller mode (Manual, Automatic).
    rpc GetFO2Mode(sila2.org.silastandard.examples.gassingservicer.v1.GetFO2Mode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFO2Mode_Responses) {}
    // Set FO2 SetpointSelect
    //   
    //           Set gas O2 flow setpoint selection (Local, Manual, Internal, Script, External).
    //   
    rpc SetFO2SetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.SetFO2SetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFO2SetpointSelect_Responses) {}
    // Get FO2 SetpointSelect
    //   Get gas O2 flow setpoint selection (Local, Manual, Internal, Script, External).
    rpc GetFO2SetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFO2SetpointSelect_Responses) {}
    // Get FCO2 PV
    //   Get present value. Gassing CO2  flow process value.
    rpc GetFCO2PV(sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2PV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2PV_Responses) {}
    // Get V CO2 PV
    //   Get present value. Gassing CO2 volume process value.
    rpc GetVCO2PV(sila2.org.silastandard.examples.gassingservicer.v1.GetVCO2PV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetVCO2PV_Responses) {}
    // Get FCO2 SP
    //   Get gassing CO2  flow setpoint.
    rpc GetFCO2SP(sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SP_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SP_Responses) {}
    // Set FCO2 SPM
    //   
    //           Set gassing CO2  flow setpoint manual.
    //   
    rpc SetFCO2SPM(sila2.org.silastandard.examples.gassingservicer.v1.SetFCO2SPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFCO2SPM_Responses) {}
    // Get FCO2 SP Manual
    //   Get gassing CO2  flow manual setpoint.
    rpc GetFCO2SPM(sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SPM_Responses) {}
    // Set FCO2 SPE
    //   
    //           Set gassing CO2  flow setpoint external.
    //   
    rpc SetFCO2SPE(sila2.org.silastandard.examples.gassingservicer.v1.SetFCO2SPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFCO2SPE_Responses) {}
    // Get FCO2 SP External
    //   Get gassing CO2  flow external setpoint.
    rpc GetFCO2SPE(sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SPE_Responses) {}
    // Get FCO2 SP Automatic
    //   Get gassing CO2  flow automatic setpoint.
    rpc GetFCO2SPA(sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SPA_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SPA_Responses) {}
    // Get FCO2 SP Remote
    //   Get gassing CO2  flow remote setpoint.
    rpc GetFCO2SPR(sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SPR_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SPR_Responses) {}
    // Set FCO2 Mode
    //   
    //           Set gas CO2  flow operation mode. Controller mode (Manual, Automatic).
    //   
    rpc SetFCO2Mode(sila2.org.silastandard.examples.gassingservicer.v1.SetFCO2Mode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFCO2Mode_Responses) {}
    // Get FCO2 Mode
    //   Get gas CO2  flow operation mode. Controller mode (Manual, Automatic).
    rpc GetFCO2Mode(sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2Mode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2Mode_Responses) {}
    // Set FCO2 SetpointSelect
    //   
    //           Set gas CO2  flow setpoint selection (Local, Manual, Internal, Script, External).
    //   
    rpc SetFCO2SetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.SetFCO2SetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFCO2SetpointSelect_Responses) {}
    // Get FCO2 SetpointSelect
    //   Get gas CO2  flow setpoint selection (Local, Manual, Internal, Script, External).
    rpc GetFCO2SetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFCO2SetpointSelect_Responses) {}
    // Get FN2 PV
    //   Get present value. Gassing N2 flow process value.
    rpc GetFN2PV(sila2.org.silastandard.examples.gassingservicer.v1.GetFN2PV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFN2PV_Responses) {}
    // Get V N2 PV
    //   Get present value. Gassing N2 volume process value.
    rpc GetVN2PV(sila2.org.silastandard.examples.gassingservicer.v1.GetVN2PV_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetVN2PV_Responses) {}
    // Get FN2 SP
    //   Get gassing N2 flow setpoint.
    rpc GetFN2SP(sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SP_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SP_Responses) {}
    // Set FN2 SPM
    //   
    //           Set gassing N2 flow setpoint manual.
    //   
    rpc SetFN2SPM(sila2.org.silastandard.examples.gassingservicer.v1.SetFN2SPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFN2SPM_Responses) {}
    // Get FN2 SP Manual
    //   Get gassing N2 flow manual setpoint.
    rpc GetFN2SPM(sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SPM_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SPM_Responses) {}
    // Set FN2 SPE
    //   
    //           Set gassing N2 flow setpoint external.
    //   
    rpc SetFN2SPE(sila2.org.silastandard.examples.gassingservicer.v1.SetFN2SPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFN2SPE_Responses) {}
    // Get FN2 SP External
    //   Get gassing N2 flow external setpoint.
    rpc GetFN2SPE(sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SPE_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SPE_Responses) {}
    // Get FN2 SP Automatic
    //   Get gassing N2 flow automatic setpoint.
    rpc GetFN2SPA(sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SPA_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SPA_Responses) {}
    // Get FN2 SP Remote
    //   Get gassing N2 flow remote setpoint.
    rpc GetFN2SPR(sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SPR_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SPR_Responses) {}
    // Set FN2 Mode
    //   
    //           Set gas N2 flow operation mode. Controller mode (Manual, Automatic).
    //   
    rpc SetFN2Mode(sila2.org.silastandard.examples.gassingservicer.v1.SetFN2Mode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFN2Mode_Responses) {}
    // Get FN2 Mode
    //   Get gas N2 flow operation mode. Controller mode (Manual, Automatic).
    rpc GetFN2Mode(sila2.org.silastandard.examples.gassingservicer.v1.GetFN2Mode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFN2Mode_Responses) {}
    // Set FN2 SetpointSelect
    //   
    //           Set gas N2 flow setpoint selection (Local, Manual, Internal, Script, External).
    //   
    rpc SetFN2SetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.SetFN2SetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetFN2SetpointSelect_Responses) {}
    // Get FN2 SetpointSelect
    //   Get gas N2 flow setpoint selection (Local, Manual, Internal, Script, External).
    rpc GetFN2SetpointSelect(sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SetpointSelect_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetFN2SetpointSelect_Responses) {}
    // Get Access Mode
    //   Get access mode value. Controller access (Local, Remote).
    rpc GetAccess(sila2.org.silastandard.examples.gassingservicer.v1.GetAccess_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetAccess_Responses) {}
    // Set Controller Command
    //   
    //           Set the controller command. Controller command (Nothing, Stop, Start).
    //   
    rpc SetCmd(sila2.org.silastandard.examples.gassingservicer.v1.SetCmd_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetCmd_Responses) {}
    // Get Controller Command
    //   Get the controller command. Controller command (Nothing, Stop, Start).
    rpc GetCmd(sila2.org.silastandard.examples.gassingservicer.v1.GetCmd_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetCmd_Responses) {}
    // Set Gassing Mode
    //   
    //           Gassing mode (Unknown, Mix, Flow).
    //   
    rpc SetGassingMode(sila2.org.silastandard.examples.gassingservicer.v1.SetGassingMode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.SetGassingMode_Responses) {}
    // Get Gassing Mode
    //   Get the gassing mode. Gassing mode (Unknown, Mix, Flow).
    rpc GetGassingMode(sila2.org.silastandard.examples.gassingservicer.v1.GetGassingMode_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetGassingMode_Responses) {}
    // Get State
    //   Get controller state. Controller state (Off, On, Error).
    rpc GetState(sila2.org.silastandard.examples.gassingservicer.v1.GetState_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetState_Responses) {}
    // Get Function Type
    //   Get function type.
    rpc GetType(sila2.org.silastandard.examples.gassingservicer.v1.GetType_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetType_Responses) {}
    // Get Function Availability
    //   Get function availability.
    rpc GetAvailable(sila2.org.silastandard.examples.gassingservicer.v1.GetAvailable_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetAvailable_Responses) {}
    // Get Function Name
    //   Get function name.
    rpc GetName(sila2.org.silastandard.examples.gassingservicer.v1.GetName_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetName_Responses) {}
    // Get Function Version
    //   Get function model version number.
    rpc GetVersion(sila2.org.silastandard.examples.gassingservicer.v1.GetVersion_Parameters) returns (sila2.org.silastandard.examples.gassingservicer.v1.GetVersion_Responses) {}
    
    
}

// ----------------- Data Type definitions -----------------


// ------ Command Parameter and Response definitions -------
message GetPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetPV_Responses {
    sila2.org.silastandard.Real CurrentPV = 1;
}

message GetSP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetSP_Responses {
    sila2.org.silastandard.Real CurrentSP = 1;
}

message GetFPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFPV_Responses {
    sila2.org.silastandard.Real CurrentFPV = 1;
}

message GetVPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVPV_Responses {
    sila2.org.silastandard.Real CurrentVPV = 1;
}

message GetFSP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFSP_Responses {
    sila2.org.silastandard.Real CurrentFSP = 1;
}

message SetFSPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real FSPM = 2;
}

message SetFSPM_Responses {
    sila2.org.silastandard.Real FSPMSet = 1;
}

message GetFSPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFSPM_Responses {
    sila2.org.silastandard.Real CurrentFSPM = 1;
}

message SetFSPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real FSPE = 2;
}

message SetFSPE_Responses {
    sila2.org.silastandard.Real FSPESet = 1;
}

message GetFSPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFSPE_Responses {
    sila2.org.silastandard.Real CurrentFSPE = 1;
}

message GetFSPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFSPA_Responses {
    sila2.org.silastandard.Real CurrentFSPA = 1;
}

message GetFSPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFSPR_Responses {
    sila2.org.silastandard.Real CurrentFSPR = 1;
}

message GetFSPL_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFSPL_Responses {
    sila2.org.silastandard.Real CurrentFSPL = 1;
}

message SetFMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer FMode = 2;
}

message SetFMode_Responses {
    sila2.org.silastandard.Integer FModeSet = 1;
}

message GetFMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFMode_Responses {
    sila2.org.silastandard.Integer CurrentFMode = 1;
}

message SetFSetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer FSetpointSelect = 2;
}

message SetFSetpointSelect_Responses {
    sila2.org.silastandard.Integer FSetpointSelectSet = 1;
}

message GetFSetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFSetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentFSetpointSelect = 1;
}

message GetXCO2PV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXCO2PV_Responses {
    sila2.org.silastandard.Real CurrentXCO2PV = 1;
}

message GetXCO2SP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXCO2SP_Responses {
    sila2.org.silastandard.Real CurrentXCO2SP = 1;
}

message SetXCO2SPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real XCO2SPM = 2;
}

message SetXCO2SPM_Responses {
    sila2.org.silastandard.Real XCO2SPMSet = 1;
}

message GetXCO2SPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXCO2SPM_Responses {
    sila2.org.silastandard.Real CurrentXCO2SPM = 1;
}

message SetXCO2SPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real XCO2SPE = 2;
}

message SetXCO2SPE_Responses {
    sila2.org.silastandard.Real XCO2SPESet = 1;
}

message GetXCO2SPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXCO2SPE_Responses {
    sila2.org.silastandard.Real CurrentXCO2SPE = 1;
}

message GetXCO2SPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXCO2SPA_Responses {
    sila2.org.silastandard.Real CurrentXCO2SPA = 1;
}

message GetXCO2SPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXCO2SPR_Responses {
    sila2.org.silastandard.Real CurrentXCO2SPR = 1;
}

message GetXCO2SPL_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXCO2SPL_Responses {
    sila2.org.silastandard.Real CurrentXCO2SPL = 1;
}

message SetXCO2Mode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer XCO2Mode = 2;
}

message SetXCO2Mode_Responses {
    sila2.org.silastandard.Integer XCO2ModeSet = 1;
}

message GetXCO2Mode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXCO2Mode_Responses {
    sila2.org.silastandard.Integer CurrentXCO2Mode = 1;
}

message SetXCO2SetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer XCO2SetpointSelect = 2;
}

message SetXCO2SetpointSelect_Responses {
    sila2.org.silastandard.Integer XCO2SetpointSelectSet = 1;
}

message GetXCO2SetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXCO2SetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentXCO2SetpointSelect = 1;
}

message GetXO2PV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXO2PV_Responses {
    sila2.org.silastandard.Real CurrentXO2PV = 1;
}

message GetXO2SP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXO2SP_Responses {
    sila2.org.silastandard.Real CurrentXO2SP = 1;
}

message SetXO2SPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real XO2SPM = 2;
}

message SetXO2SPM_Responses {
    sila2.org.silastandard.Real XO2SPMSet = 1;
}

message GetXO2SPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXO2SPM_Responses {
    sila2.org.silastandard.Real CurrentXO2SPM = 1;
}

message SetXO2SPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real XO2SPE = 2;
}

message SetXO2SPE_Responses {
    sila2.org.silastandard.Real XO2SPESet = 1;
}

message GetXO2SPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXO2SPE_Responses {
    sila2.org.silastandard.Real CurrentXO2SPE = 1;
}

message GetXO2SPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXO2SPA_Responses {
    sila2.org.silastandard.Real CurrentXO2SPA = 1;
}

message GetXO2SPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXO2SPR_Responses {
    sila2.org.silastandard.Real CurrentXO2SPR = 1;
}

message GetXO2SPL_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXO2SPL_Responses {
    sila2.org.silastandard.Real CurrentXO2SPL = 1;
}

message SetXO2Mode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer XO2Mode = 2;
}

message SetXO2Mode_Responses {
    sila2.org.silastandard.Integer XO2ModeSet = 1;
}

message GetXO2Mode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXO2Mode_Responses {
    sila2.org.silastandard.Integer CurrentXO2Mode = 1;
}

message SetXO2SetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer XO2SetpointSelect = 2;
}

message SetXO2SetpointSelect_Responses {
    sila2.org.silastandard.Integer XO2SetpointSelectSet = 1;
}

message GetXO2SetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXO2SetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentXO2SetpointSelect = 1;
}

message GetFAirPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFAirPV_Responses {
    sila2.org.silastandard.Real CurrentFAirPV = 1;
}

message GetVAirPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVAirPV_Responses {
    sila2.org.silastandard.Real CurrentVAirPV = 1;
}

message GetFAirSP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFAirSP_Responses {
    sila2.org.silastandard.Real CurrentFAirSP = 1;
}

message SetFAirSPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real FAirSPM = 2;
}

message SetFAirSPM_Responses {
    sila2.org.silastandard.Real FAirSPMSet = 1;
}

message GetFAirSPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFAirSPM_Responses {
    sila2.org.silastandard.Real CurrentFAirSPM = 1;
}

message SetFAirSPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real FAirSPE = 2;
}

message SetFAirSPE_Responses {
    sila2.org.silastandard.Real FAirSPESet = 1;
}

message GetFAirSPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFAirSPE_Responses {
    sila2.org.silastandard.Real CurrentFAirSPE = 1;
}

message GetFAirSPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFAirSPA_Responses {
    sila2.org.silastandard.Real CurrentFAirSPA = 1;
}

message GetFAirSPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFAirSPR_Responses {
    sila2.org.silastandard.Real CurrentFAirSPR = 1;
}

message SetFAirMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer FAirMode = 2;
}

message SetFAirMode_Responses {
    sila2.org.silastandard.Integer FAirModeSet = 1;
}

message GetFAirMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFAirMode_Responses {
    sila2.org.silastandard.Integer CurrentFAirMode = 1;
}

message SetFAirSetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer FAirSetpointSelect = 2;
}

message SetFAirSetpointSelect_Responses {
    sila2.org.silastandard.Integer FAirSetpointSelectSet = 1;
}

message GetFAirSetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFAirSetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentFAirSetpointSelect = 1;
}

message GetFO2PV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFO2PV_Responses {
    sila2.org.silastandard.Real CurrentFO2PV = 1;
}

message GetVO2PV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVO2PV_Responses {
    sila2.org.silastandard.Real CurrentVO2PV = 1;
}

message GetFO2SP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFO2SP_Responses {
    sila2.org.silastandard.Real CurrentFO2SP = 1;
}

message SetFO2SPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real FO2SPM = 2;
}

message SetFO2SPM_Responses {
    sila2.org.silastandard.Real FO2SPMSet = 1;
}

message GetFO2SPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFO2SPM_Responses {
    sila2.org.silastandard.Real CurrentFO2SPM = 1;
}

message SetFO2SPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real FO2SPE = 2;
}

message SetFO2SPE_Responses {
    sila2.org.silastandard.Real FO2SPESet = 1;
}

message GetFO2SPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFO2SPE_Responses {
    sila2.org.silastandard.Real CurrentFO2SPE = 1;
}

message GetFO2SPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFO2SPA_Responses {
    sila2.org.silastandard.Real CurrentFO2SPA = 1;
}

message GetFO2SPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFO2SPR_Responses {
    sila2.org.silastandard.Real CurrentFO2SPR = 1;
}

message SetFO2Mode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer FO2Mode = 2;
}

message SetFO2Mode_Responses {
    sila2.org.silastandard.Integer FO2ModeSet = 1;
}

message GetFO2Mode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFO2Mode_Responses {
    sila2.org.silastandard.Integer CurrentFO2Mode = 1;
}

message SetFO2SetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer FO2SetpointSelect = 2;
}

message SetFO2SetpointSelect_Responses {
    sila2.org.silastandard.Integer FO2SetpointSelectSet = 1;
}

message GetFO2SetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFO2SetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentFO2SetpointSelect = 1;
}

message GetFCO2PV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFCO2PV_Responses {
    sila2.org.silastandard.Real CurrentFCO2PV = 1;
}

message GetVCO2PV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVCO2PV_Responses {
    sila2.org.silastandard.Real CurrentVCO2PV = 1;
}

message GetFCO2SP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFCO2SP_Responses {
    sila2.org.silastandard.Real CurrentFCO2SP = 1;
}

message SetFCO2SPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real FCO2SPM = 2;
}

message SetFCO2SPM_Responses {
    sila2.org.silastandard.Real FCO2SPMSet = 1;
}

message GetFCO2SPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFCO2SPM_Responses {
    sila2.org.silastandard.Real CurrentFCO2SPM = 1;
}

message SetFCO2SPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real FCO2SPE = 2;
}

message SetFCO2SPE_Responses {
    sila2.org.silastandard.Real FCO2SPESet = 1;
}

message GetFCO2SPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFCO2SPE_Responses {
    sila2.org.silastandard.Real CurrentFCO2SPE = 1;
}

message GetFCO2SPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFCO2SPA_Responses {
    sila2.org.silastandard.Real CurrentFCO2SPA = 1;
}

message GetFCO2SPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFCO2SPR_Responses {
    sila2.org.silastandard.Real CurrentFCO2SPR = 1;
}

message SetFCO2Mode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer FCO2Mode = 2;
}

message SetFCO2Mode_Responses {
    sila2.org.silastandard.Integer FCO2ModeSet = 1;
}

message GetFCO2Mode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFCO2Mode_Responses {
    sila2.org.silastandard.Integer CurrentFCO2Mode = 1;
}

message SetFCO2SetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer FCO2SetpointSelect = 2;
}

message SetFCO2SetpointSelect_Responses {
    sila2.org.silastandard.Integer FCO2SetpointSelectSet = 1;
}

message GetFCO2SetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFCO2SetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentFCO2SetpointSelect = 1;
}

message GetFN2PV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFN2PV_Responses {
    sila2.org.silastandard.Real CurrentFN2PV = 1;
}

message GetVN2PV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVN2PV_Responses {
    sila2.org.silastandard.Real CurrentVN2PV = 1;
}

message GetFN2SP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFN2SP_Responses {
    sila2.org.silastandard.Real CurrentFN2SP = 1;
}

message SetFN2SPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real FN2SPM = 2;
}

message SetFN2SPM_Responses {
    sila2.org.silastandard.Real FN2SPMSet = 1;
}

message GetFN2SPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFN2SPM_Responses {
    sila2.org.silastandard.Real CurrentFN2SPM = 1;
}

message SetFN2SPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real FN2SPE = 2;
}

message SetFN2SPE_Responses {
    sila2.org.silastandard.Real FN2SPESet = 1;
}

message GetFN2SPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFN2SPE_Responses {
    sila2.org.silastandard.Real CurrentFN2SPE = 1;
}

message GetFN2SPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFN2SPA_Responses {
    sila2.org.silastandard.Real CurrentFN2SPA = 1;
}

message GetFN2SPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFN2SPR_Responses {
    sila2.org.silastandard.Real CurrentFN2SPR = 1;
}

message SetFN2Mode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer FN2Mode = 2;
}

message SetFN2Mode_Responses {
    sila2.org.silastandard.Integer FN2ModeSet = 1;
}

message GetFN2Mode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFN2Mode_Responses {
    sila2.org.silastandard.Integer CurrentFN2Mode = 1;
}

message SetFN2SetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer FN2SetpointSelect = 2;
}

message SetFN2SetpointSelect_Responses {
    sila2.org.silastandard.Integer FN2SetpointSelectSet = 1;
}

message GetFN2SetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFN2SetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentFN2SetpointSelect = 1;
}

message GetAccess_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAccess_Responses {
    sila2.org.silastandard.Integer CurrentAccess = 1;
}

message SetCmd_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer Cmd = 2;
}

message SetCmd_Responses {
    sila2.org.silastandard.Integer CmdSet = 1;
}

message GetCmd_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetCmd_Responses {
    sila2.org.silastandard.Integer CurrentCmd = 1;
}

message SetGassingMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer GassingMode = 2;
}

message SetGassingMode_Responses {
    sila2.org.silastandard.Integer GassingModeSet = 1;
}

message GetGassingMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetGassingMode_Responses {
    sila2.org.silastandard.Integer CurrentGassingMode = 1;
}

message GetState_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetState_Responses {
    sila2.org.silastandard.Integer CurrentState = 1;
}

message GetType_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetType_Responses {
    sila2.org.silastandard.String CurrentType = 1;
}

message GetAvailable_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAvailable_Responses {
    sila2.org.silastandard.Integer CurrentAvailable = 1;
}

message GetName_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetName_Responses {
    sila2.org.silastandard.String CurrentName = 1;
}

message GetVersion_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVersion_Responses {
    sila2.org.silastandard.String CurrentVersion = 1;
}


// ----------------- Metadata Definitions ------------------
